/reporting/api/v1/interaction/aggregates

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Interaction Details from Reporting API

  • Interaction - The end-to-end communications with a particular agent and user through a particular channel.
  • Authentication required, please visit this page for Authentication How To.

Parameters

  • Queues - Queues can be pulled from the Queue API call
  • Filter If left blank all values are returned. If fields added only chosen fields will be returned.
  • StartDateTime - When to start pulling data from API.
  • EndDateTime - When to stop pulling data from API.
  • RelativePeriodStart - To start query one of multiple days in the future, 1,2, etc. or to do in past -1, -2, etc.
  • RelativePeriodEnd - To end query one of multiple days in the future, 1,2, etc. or to do in past -1, -2, etc.
  • RelativeTimeZone For API information about Times Zone, please visit this page on Time Zones.
  • DateFilterField - Any of the specific date fields can be used as a filter.
  • Resolution - Size periods of the request. Can be by quarter hour, 1 hour, or 1 day.
  • Fields - See Reporting API Field Definitions
  • OrderBy - Any string in the result can be used to order the results.
  • Limit - Limits the number of search results.
  • Offset - This value goes along with Limit. The offset is where the limit starts.
    • Ex. A user wants 10 results, but doesn't want the first 15 displayed. A Limit of "10" and an Offset of "15" would give results 16 through 25.
  • Aggregates - See Reporting Aggregation
  • It is recommended advanced filter object be done outside of the API document for best results.

Responses available:

  • 200
  • 401
  • 403

Example return::

{
  "resultCode": 0,
  "resultCodeName": "Success",
  "data": [
    {
      "AgentId": 10614,
      "FirstAcceptedQuarterHourUtc": "2022-07-27T13:30:00Z",
      "Count_id": 2,
      "SumAnsweredApplied": 2,
      "SumAcceptTime": 10.357876599999999
    }
  ],
  "dataType": "JObject",
  "hasPaging": false
}
Body Params
queues
array of int32s | null
Defaults to null
queues
boolean
Defaults to false
filter
object | null
date-time | null
Defaults to null
date-time | null
Defaults to null
int32 | null
Defaults to -2
int32 | null
Defaults to -1
string | null
Defaults to America/New_York
string | null
Defaults to null
int32
enum

0=QuarterHour,1=Hour,2=Day

Allowed:
groupFields
array of strings | null
groupFields
aggregates
object | null
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
string
enum
Defaults to application/json-patch+json

Generated from available request content types

Allowed:
Responses

401

Unauthorized

403

Forbidden

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json
text/json